Skip to main content
`Ctrl`+`K`

# numpy.polynomial.polynomial.polycompanion

polynomial.polynomial.polycompanion(c)

  Return the companion matrix of c.

  The companion matrix for power series cannot be made symmetric by scaling the basis, so this function differs from those for the orthogonal polynomials.

  Parameters:
    c array_like

      1-D array of polynomial coefficients ordered from low to high degree.

  Returns:
    mat ndarray

      Companion matrix of dimensions (deg, deg).

  Examples

      >>> from numpy.polynomial import polynomial as P
      >>> c = (1, 2, 3)
      >>> P.polycompanion(c)
      array([[ 0.        , -0.33333333],
             [ 1.        , -0.66666667]])